## org.eclipse.datatools.sqltools.db.generic.parser
Class SimpleNode

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode
          org.eclipse.datatools.sqltools.db.generic.parser.SimpleNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  ASTDeclareComma, ASTDeclareKeyword, ASTExpression, ASTSQLDataType, ASTSQLDelimiter, ASTSQLParam, ASTSQLStatement, ASTStart

    public class SimpleNode

extends SimpleNode
implements Node

Constructor Summary
`SimpleNode(GenericSQLParser p, int i)`
`SimpleNode(int i)`

Method Summary
`java.lang.Object` `childrenAccept(GenericSQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` `dump(java.lang.String prefix)`
`java.lang.Object` `jjtAccept(GenericSQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.String` `toString()`
`java.lang.String` `toString(java.lang.String prefix)`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode

`acceptChildren, equals, exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, getText, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Constructor Detail

### SimpleNode

    public SimpleNode(int i)

### SimpleNode

    public SimpleNode(GenericSQLParser p,
                      int i)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(GenericSQLParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

### childrenAccept

    public java.lang.Object childrenAccept(GenericSQLParserVisitor visitor,
                                           java.lang.Object data)

  Accept the visitor.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

### toString

    public java.lang.String toString(java.lang.String prefix)

  Overrides:
    `toString` in class `SimpleNode`

### dump

    public void dump(java.lang.String prefix)

  Overrides:
    `dump` in class `SimpleNode`